From 906b68dbcb6ea08291df0b67c3526cfa9c840bfe Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 25 2021 06:00:07 +0000
Subject: [PATCH 2180/2232] Add cxx::memory module re-exporting Shared/UniquePtr


---

diff --git a/src/lib.rs b/src/lib.rs
index acb28fb..d6be52c 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -405,6 +405,7 @@ mod exception;
 mod extern_type;
 mod fmt;
 mod function;
+pub mod memory;
 mod opaque;
 mod result;
 mod rust_slice;
diff --git a/src/memory.rs b/src/memory.rs
new file mode 100644
index 0000000..42f1f76
--- /dev/null
+++ b/src/memory.rs
@@ -0,0 +1,2 @@
+#[doc(no_inline)]
+pub use cxx::{SharedPtr, UniquePtr};

